{#
/**
 * @file
 * Theme override for a 'form' element.
 *
 * Available variables
 * - attributes: A list of HTML attributes for the wrapper element.
 * - children: The child elements of the form.
 *
 * @see template_preprocess_form()
 */
#}

{{ attach_library('compony/form') }}

{%
  set classes = [
    'form',
    'form--' ~ element['#form_id']|clean_class
  ]
%}

{% block before %}{% endblock %}

<form{{ attributes.addClass(classes) }}>
  {% block content %}
    {{ children }}
  {% endblock %}
</form>

{% block after %}{% endblock %}
